# macptopbm

Updated: 29 March 1989
Table Of Contents

## NAME

macptopbm - convert a MacPaint file into a PBM image

## SYNOPSIS

macptopbm [-extraskip N] [macpfile]

## DESCRIPTION

This program is part of Netpbm.

macptopbmreads a MacPaint file as input and produces a PBM image as output.

## OPTIONS

You can abbreviate any option to its shortest unique prefix.

-extraskip
  This option is to get around a problem with some methods of transferring files from the Mac world to the Unix world. Most of these methods leave the Mac files alone, but a few of them add the "finderinfo" data onto the front of the Unix file. This means an extra 128 bytes to skip over when reading the file. The symptom to watch for is that the resulting PBM file looks shifted to one side. If you get this, try -extraskip 128, and if that still doesn't look right try another value.

## SEE ALSO

picttoppm, pbmtomacp, pbm

## AUTHOR

Copyright (C) 1988 by Jef Poskanzer. The MacPaint-reading code is copyright (c) 1987 by Patrick J. Naughton (naughton@wind.sun.com).

## Table Of Contents

- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHOR